Payin
Получение платежа
Возвращает данные по платежу payin по transactionId (чтение из БД с кэшированием).
x-public-token<token>
Публичный токен магазина (выдаётся мерчанту)
In: header
Path Parameters
transactionId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.spay.biz/api/v1/payin/string"{
"message": "OK",
"data": {
"createdAt": "01.02.2025 14:30:00",
"updatedAt": "01.02.2025 14:30:00",
"expiresAt": "01.02.2025 15:00:00",
"merchantId": 1,
"externalId": "merchant-payment-id-123",
"transactionId": "5e8b0d5b-6c56-4f4f-9c70-6b8a1a1b2c3d",
"status": "pending",
"amount": 100,
"currency": "RUB",
"exchangeRate": 1,
"description": "Оплата заказа #123",
"isTest": false,
"paymentPage": "https://pay.example.com/tx/...",
"paymentTelegramBot": "https://t.me/MyPayBot?tid=5e8b0d5b-6c56-4f4f-9c70-6b8a1a1b2c3d",
"payment": {
"cardName": "IVAN IVANOV",
"bankName": "Tinkoff",
"cardNumber": "411111******1111",
"phoneNumber": "+79990000000",
"qrCode": "string",
"accountNumber": "40817810...",
"ibanNumber": "DE89 3704 0044 0532 0130 00"
},
"client": {
"id": "123",
"email": "client@example.com",
"name": "Иван",
"ip": "127.0.0.1",
"userAgent": "Mozilla/5.0",
"country": "RU",
"city": "Moscow"
},
"proof": {
"ping": false,
"file": {
"fileUrl": "https://...",
"mimeType": "application/pdf",
"fileName": "document.pdf"
}
}
}
}{
"message": "ERROR_PUBLIC_TOKEN_REQUIRED"
}{
"message": "ERROR_ACCESS_PAYIN_DISABLED"
}{
"message": "ERROR_MERCHANT_NOT_FOUND"
}{
"message": "string"
}